1.2.0 build 450 (19 Nov 2018)
-----------------------------

**Improvements**

- Embedded new Lightstreamer Server version 7.0.2: see the related
  [changelog](https://www.lightstreamer.com/repo/distros/Lightstreamer_7_0_2_20181003.zip%23/Lightstreamer/CHANGELOG.HTML#server")
  for details.
- Ensured runtime compatibility with Java 11 through the following steps:
    - Updated the included version of the _Javassist_ library from `3.22.0` to
      `3.23.0`.
    - Updated the launch script files (both `<MQTT.COOL_HOME>/bin/unix/mc.sh`
      and `<MQTT.COOL_HOME>\bin\windows\mc.bat`).
- Renamed the `mqttcool_edition.conf.xml` file as `mqttcool_edition_conf.xml`.
- Introduced new configuration elements in the `enterprise_edition_details` block
  of the `mqttcool_edition_conf.xml` file, in order to enable cloud-based 
  license validation. See inline comments for details.
- Updated the included version of the _mqtt.cool-hook-java-api_ library from
  `1.1.0` to `1.2.0`: see related
  [changelog](https://github.com/MQTTCool/mqtt.cool-hook-java-api/blob/v1.2.0/CHANGELOG.md)
  for details.
- Restyled the changelog file in _Markdown_: previous
  `<MQTT.COOL_HOME>/CHANGELOG.html` has been replaced with
  `<MQTT.COOL_HOME>/CHANGELOG.md`.
- Updated the included Welcome page, Monitoring Dashboard, and Test Client as
  follows:
    - Changed palette in order to adjust colors to the brand new
      [MQTT.Cool](https://mqtt.cool) site.
    - Replaced links to `lightstreamer.com` with new links to `mqtt.cool`.
- Updated the Test Client as follows:
    - Updated the included version of the _mqtt.cool-web-client_ library from
      `1.1.2` to `1.2.0`.
    - Added the `brokers.json` file into the Client deployment folder
      (`<MQTT.COOL_HOME>/pages/test_client`), in order to customize the
      predefined configurations of contactable MQTT brokers.
- Removed the `DOCS-SDKs` folder from the distribution package: now each SDK
  has its own [dedicated section](https://mqtt.cool/download) on the MQTT.Cool
  site.
- Revised the included documentation as follows:
  - Restyled `Lightstreamer Clustering.pdf` and
    `Lighstreamer SSL Certificates.pdf` in _AsciiDoc_. Moreover, the files have
    been renamed, respectively, as `MQTT.Cool Clustering` and
    `MQTT.Cool SSL Certificates`.<br/>
    The HTML versions have been included into the distribution package inside
    the new `<MQTT.COOL_HOME>/doc` folder.<br/>
    The PDF versions can be directly downloaded from the MQTT.Cool site,
    at the following locations:
    - [MQTT.Cool Clustering.pdf](https://docs.mqtt.cool/server/guides/MQTT.Cool+Clustering.pdf)
    - [MQTT.Cool SSL Certificates.pdf](https://docs.mqtt.cool/server/guides/MQTT.Cool+SSL+Certificates.pdf)
  - Removed `MQTT.Cool Getting Started Guide.pdf` (which can be downloaded from
    [MQTT.Cool Getting Started Guide.html](https://docs.mqtt.cool/server/guides/MQTT.Cool+Getting+Started+Guide.html)),
    and moved `MQTT.Cool Getting Started Guide.html` into
    the `<MQTT.COOL_HOME>/doc` folder.

**Bug Fixes**

- Added the _log4j-over-slf4j_ module, which may be used by for logging
  purpose by some third-party libraries included in the MQTT.Cool server.
- Switched the positions of the launch buttons in the Welcome page.
- Fixed visualization of logo in the Courtesy Page in the case the internal Web
  Server is not enabled.



1.1.0 build 360 (30 Mar 2018)
-----------------------------

**Improvements**

- Embedded new Lightstreamer Server version 7: see the related
  [changelog](https://www.lightstreamer.com/repo/distros/Lightstreamer_7_0_0_20180228.zip%23/Lightstreamer/CHANGELOG.HTML#server")
  for details.
- Revised the license configuration, with the introduction of new
  `mqttcool_edition.conf.xml` configuration file, which replaces the old
  `mqttcool_version_conf.xml`. See inline comments for details.<br/>
  In addition, a new mandatory `<edition_conf>` configuration element in the
  main configuration file `lightstreamer_conf.xml` has been introduced,
  replacing the old `<version_conf>`. See inline comments in the factory
  configuration file for details.
- Increased minimum required Java version to 8.

**Bug Fixes**

- Fixed typos in the `mqtt_master_connector_conf.xml` file.
- Fixed typos and statements in the _MQTT.Cool Getting Started Guide_.



1.0.3 b3 build 302 (11 Jan 2018)
-------------------------------

**Improvements**

- Enabled TLS/SSL connections between MQTT.Cool and MQTT brokers.<br/>
  Secure channels can be either configured through new connection parameters to
  be specified in the `mqtt_master_connector_conf.xml` file, or by deploying
  custom Hooks that provide instances of the new `SecurityParams` class. See
  docs for more information.
- Added new sample configurations in `mqtt_master_connector_conf.xml`, along
  with related _JKS_ sample files, to show how to configure encrypted
  connections.
- Added the dedicated `MQTTCoolLogger.connections.ssl` logger in
  `mqtt_master_connector_log_conf.xml`, to report issues relative to TLS/SSL
  handshake management.<br/>
  Changed default logging levels and improved inline comments of many loggers.
- Enabled the Test Client to specify the protocol to use for each new broker
  configuration. Users can now set up either plain or TLS/SSL connection by
  selecting the right schema from a list.<br/>
  Improved management of broker configurations: it is now possible to change all
  parameters of the selected configuration.

**Bug Fixes**

- Fixed a bug that, in case of only one client connected through a
  _Shared Connection_, prevented an unsubscribe request from reaching the MQTT
  broker.
- Fixed generation of log messages for the `MQTTCoolLogger logger`.<br/>
  Added and improved log messages for initialization activities.


**1.0.3 b2 build 279 (16 Nov 2017)**
------------------------------------

**Improvements**

- Introduced a very simple MQTT.Cool test client (a.k.a _Test Client_), which
  can be launched from the Welcome page, for the purpose of testing the
  interaction between the MQTT.Cool server and MQTT brokers.



**1.0.3 b1 build 266 (29 Sep 2017)**
------------------------------------

First public release.